%define upstream_name Net_Socket
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.14
Release:     	%mkrel 5
Summary:    	Network Socket Interface
License:    	PHP License
Group:       	Development/PHP
URL:         	http://pear.horde.org/package/%{upstream_name}
Source0: 	http://pear.php.net/get/Net_Socket-%{version}.tgz
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Net_Socket is a class interface to TCP sockets.  It provides blocking
  and non-blocking operation, with different reading and writing modes
  (byte-wise, block-wise, line-wise and special formats like network
  byte-order ip addresses).

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Socket.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Socket.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Socket
fi

%files
%{peardir}/*
%{xmldir}/Net_Socket.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1.0.14-5.mga6
+ Revision: 938611
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.14-4.mga5
+ Revision: 739073
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.14-3.mga5
+ Revision: 687392
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.14-2.mga4
+ Revision: 527934
- Mageia 4 Mass Rebuild

* Fri Jun 14 2013 spuhler <spuhler> 1.0.14-1.mga4
+ Revision: 442960
- upgrade to version 1.0.14
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 1.0.10-2.mga3
+ Revision: 377033
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 spuhler <spuhler> 1.0.10-1.mga1
+ Revision: 27980
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Socket


* Mon Oct 18 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.10-1mdv2011.0
+ Revision: 586624
- update to new version 1.0.10

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.9-4mdv2010.1
+ Revision: 468722
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Mon Nov 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.9-3mdv2010.1
+ Revision: 463808
- use rpm filetriggers to register starting from mandriva 2010.1

* Sat Sep 26 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.9-2mdv2010.0
+ Revision: 449347
- use pear installer
- use fedora %%post/%%postun

* Thu Sep 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.9-1mdv2010.0
+ Revision: 428988
- import php-pear-Net_Socket


* Thu Sep 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.9-1mdv2010.0
- first mdv release
